import request from '@/utils/request'

// 查询数据共享申请列表
export function listApply(query) {
  return request({
    url: '/gx/apply/list',
    method: 'get',
    params: query
  })
}

// 查询数据共享申请详细
export function getApply(id) {
  return request({
    url: '/gx/apply/' + id,
    method: 'get'
  })
}

// 新增数据共享申请
export function addApply(data) {
  return request({
    url: '/gx/apply',
    method: 'post',
    data: data
  })
}

// 审批数据共享申请
export function auditApply(data) {
  return request({
    url: '/gx/apply/audit',
    method: 'put',
    data: data
  })
}

// 删除数据共享申请
export function delApply(id) {
  return request({
    url: '/gx/apply/' + id,
    method: 'delete'
  })
}
